const API_BASE = 'http://39.100.230.190:8019/ypdApi'

module.exports = {
	//  微信授权登录
	wxLogin: API_BASE + '/v2/sale/login/wxLogin',
	//  账号密码登录
	loginByPassword: API_BASE + '/v2/sale/login/login',
	
	
	//  获取统计图数据
	getCensusChart: API_BASE + '/v2/sale/home/getCustomerCreateStatisticsList',
	//  获取附近场馆列表
	getNearVenueList: API_BASE + '/v2/sale/home/getVenueNearList',
	//  获取所有场馆列表
	getAllVenueList: API_BASE + '/v2/sale/home/getVenueNearMoreList',
	//  获取场馆详情
	getVenueDetail: API_BASE + '/v2/home/getVenueDetailById',
	//  获取班级详情
	getClassDetail: API_BASE + '/v2/home/getClassDetailById',
	//  获取新增统计数据
	getCensusInfo: API_BASE + '/v2/sale/home/getCustomerCreateStatisticsDetailCount',
	//  获取新增统计列表
	getCensusList: API_BASE + '/v2/sale/home/getCustomerCreateStatisticsDetailList',
	
	
	//  获取班级列表
	getClassList: API_BASE + '/v2/sale/customer/getClassList',
	//  获取礼物列表
	getGiftList: API_BASE + '/v2/sale/customer/getGiftList',
	//  获取销售员列表
	getSaleList: API_BASE + '/v2/sale/customer/getSaleList',
	//  获取谈单人列表
	getTalkerList: API_BASE + '/v2/sale/customer/getTalkerList',
	//  获取支付方式列表
	getPayTypeList: API_BASE + '/v2/sale/customer/getPayTypeList',
	//  提交已报名表单
	submitEnrolledForm: API_BASE + '/v2/sale/customer/joinCLass',
	//  提交意向客户表单
	submitIntentionForm: API_BASE + '/v2/sale/customer/insertCustomer',
	
	
	//  获取全部客户列表
	getCustomerList: API_BASE + '/v2/sale/center/getCustomerList',
	//  获取当月销售额
	getSaleSortInfo: API_BASE + '/v2/sale/center/getSaleSort',
	//  获取业绩销售列表
	getSaleSortList: API_BASE + '/v2/sale/center/getSaleSortList',
	//  获取续费提醒列表
	getRenewList: API_BASE + '/v2/sale/center/getRenewRemindList',
	//  获取续费学员详情
	getStudentInfo: API_BASE + '/v2/sale/center/getRenewalStudent',
	//  获取续费学员沟通记录列表
	getRecordList: API_BASE + '/v2/sale/center/getRenewalCommunicateRecordList',
	//  提交续费学员沟通记录表单
	submitRecordForm: API_BASE + '/v2/sale/center/writeRenewalCommunicateRecord',
	//  获取消息通知列表
	getMessageList: API_BASE + '/v2/sale/center/messageInform',
	//  获取数据统计
	getDataCensus: API_BASE + '/v2/sale/center/dataStatistics',
	//  获取小程序二维码
	getShareUrl: API_BASE + '/v2/sale/center/share',
	
	
	//  获取服务器端图片
	getServerImg: API_BASE + '/download/icon/',
	//  上传地址
	uploadFile: API_BASE + '/v2/common/file/uploadOne',
}
